package com.mortals.xhx.module.certificate.model;
import java.util.List;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.certificate.model.vo.CertificateCatalogVo;
import com.mortals.xhx.module.certificate.model.CertificateChildEntity;
import lombok.Data;
/**
 * 证照目录实体对象
 *
 * @author zxfei
 * @date 2024-07-28
 */
@Data
public class CertificateCatalogEntity extends CertificateCatalogVo {
    private static final long serialVersionUID = 1L;

    /**
     * 站点id
     */
    private Long siteId;
    /**
     * 目录名称
     */
    private String catalogName;
    /**
     * 目录编号
     */
    private String catalogCode;
    /**
     * 持有者类型，1：自然人；2：法人；3：自然人，法人
     */
    private Integer holderType;
    /**
     * 所属行业
     */
    private Long industryId;
    /**
     * 所属分类
     */
    private Long classifyId;
    /**
     * 横向尺寸(单位mm)
     */
    private Integer transverse;
    /**
     * 纵向尺寸(单位mm)
     */
    private Integer portrait;
    /**
     * 是否需要年检，0：否1：是
     */
    private Integer inspect;
    /**
     * 证照状态，0：禁用1：启用
     */
    private Integer status;
    /**
     * 正本模板文件名称
     */
    private String templateFileName;
    /**
     * 正本模板文件地址
     */
    private String templateFileUrl;
    /**
     * 正本模板表单内容
     */
    private String formContent;
    /**
     * 证照示例图地址
     */
    private String exampleFileUrl;
    /**
     * 批量导入模板文件地址
     */
    private String excelFile;
    /**
     * 是否生成PDF，0：否1：是
     */
    private Integer isPdf;
    /**
     * 打印设备Id
     */
    private Long deviceId;
    /**
     * 打印机名称
     */
    private String printerName;
    /**
     * 打印机网络地址
     */
    private String printerIp;
    /**
     * 打印机纸盒
     */
    private String paperSource;
    /**
     * 目录子证信息
     */
    private List<CertificateChildEntity> certificateChildList=new ArrayList<>();;
    public List<CertificateChildEntity> getCertificateChildList(){
        return certificateChildList;
    }

    public void setCertificateChildList(List<CertificateChildEntity> certificateChildList){
        this.certificateChildList = certificateChildList;
    }
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof CertificateCatalogEntity) {
            CertificateCatalogEntity tmp = (CertificateCatalogEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
        this.siteId = null;
        this.catalogName = "";
        this.catalogCode = "";
        this.holderType = 1;
        this.industryId = null;
        this.classifyId = null;
        this.transverse = 0;
        this.portrait = 0;
        this.inspect = 0;
        this.status = 1;
        this.templateFileName = "";
        this.templateFileUrl = "";
        this.formContent = "";
        this.exampleFileUrl = "";
        this.excelFile = "";
        this.isPdf = 0;
        this.deviceId = null;
        this.printerName = "";
        this.printerIp = "";
        this.paperSource = "";
    }
}