package com.mortals.xhx.module.dimension.model;

import com.mortals.xhx.module.dimension.model.vo.DimensionResourceRuleVo;
import lombok.Data;
/**
 * 角色资源维度规则实体对象
 *
 * @author zxfei
 * @date 2024-05-22
 */
@Data
public class DimensionResourceRuleEntity extends DimensionResourceRuleVo {
    private static final long serialVersionUID = 1L;

    /**
     * 角色ID
     */
    private Long roleId;
    /**
     * 资源ID
     */
    private Long resourceId;
    /**
     * 规则编码
     */
    private String ruleCode;
    /**
     * 规则名称
     */
    private String ruleName;
    /**
     * 规则条件(IN.属于,<.小于,>.大于,=.等于,!=.不等于,>=.大于等于,<=.小于等于,like %.左模糊,like %.右模糊)
     */
    private String ruleCondition;
    /**
     * 规则值,固定值或者系统变量
     */
    private String ruleValue;
    /**
     * 规则值类型(1.固定值,2.系统上下问变量)
     */
    private Integer ruleType;
    /**
     * 角色名称
     */
    private String roleName;
    /**
     * 资源名称
     */
    private String resourceName;
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof DimensionResourceRuleEntity) {
            DimensionResourceRuleEntity tmp = (DimensionResourceRuleEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
        this.roleId = null;
        this.resourceId = null;
        this.ruleCode = "";
        this.ruleName = "";
        this.ruleCondition = "IN";
        this.ruleValue = "";
        this.ruleType = 1;
        this.roleName = "";
        this.resourceName = "";
    }
}