package com.mortals.xhx.module.record.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.record.model.vo.RetainLogVo;
import lombok.Data;
/**
* 证照持有实体对象
*
* @author zxfei
* @date 2024-07-28
*/
@Data
public class RetainLogEntity extends RetainLogVo {
    private static final long serialVersionUID = 1L;

    /**
    * 站点id
    */
    private Long siteId;
    /**
    * 证照档案ID
    */
    private Long recordId;
    /**
    * 证照目录ID
    */
    private Long catalogId;
    /**
    * 证照目录编号
    */
    private String catalogCode;
    /**
    * 目录名称
    */
    private String catalogName;
    /**
    * 证照名称
    */
    private String certificateName;
    /**
    * 证照编号
    */
    private String certificateCode;
    /**
    * 市场主体名称
    */
    private String enterpriseName;
    /**
    * 法定代表人
    */
    private String legalPerson;
    /**
    * 统一社会信用代码
    */
    private String socialCode;
    /**
    * 二维码
    */
    private String qRCode;
    /**
    * 持有者姓名
    */
    private String holderName;
    /**
    * 持有者证件号码
    */
    private String holderIDCardNo;
    /**
    * 手机号码
    */
    private String mobile;
    /**
    * 证照状态，1正常2注销
    */
    private Integer certificateStatus;
    /**
    * 证件附件地址
    */
    private String certificateUrl;
    /**
    * 证件预览地址
    */
    private String previewUrl;
    /**
    * 行业名称
    */
    private String industryName;
    /**
    * 经营场所
    */
    private String businessPlace;
    /**
    * 许可项目
    */
    private String licenseProject;
    /**
    * 制证机关
    */
    private String authority;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof RetainLogEntity) {
            RetainLogEntity tmp = (RetainLogEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.siteId = null;
            this.recordId = null;
            this.catalogId = null;
            this.catalogCode = "";
            this.catalogName = "";
            this.certificateName = "";
            this.certificateCode = "";
            this.enterpriseName = "";
            this.legalPerson = "";
            this.socialCode = "";
            this.qRCode = "";
            this.holderName = "";
            this.holderIDCardNo = "";
            this.mobile = "";
            this.certificateStatus = 1;
            this.certificateUrl = "";
            this.previewUrl = "";
            this.industryName = "";
            this.businessPlace = "";
            this.licenseProject = "";
            this.authority = "";
    }
}